oracle.kv

## Interface OperationResult

-     public interface OperationResult

  The Result associated with the execution of an Operation.
  See Also:
    `OperationFactory`, `execute`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Version` | `getNewVersion()` For a put operation, the version of the new key/value pair.
    `Value` | `getPreviousValue()` For a put or delete operation, the previous value associated with the key.
    `Version` | `getPreviousVersion()` For a put or delete operation, the version of the previous value associated with the key.
    `boolean` | `getSuccess()` Whether the operation succeeded.

- - ### Method Detail

    - #### getSuccess

          boolean getSuccess()

      Whether the operation succeeded. A put or delete operation may be unsuccessful if the key or version was not matched.

    - #### getNewVersion

          Version getNewVersion()

      For a put operation, the version of the new key/value pair.

      Is null if any of the following conditions are true:

      - The operation is not a put operation.
      - The put operation did not succeed.

    - #### getPreviousVersion

          Version getPreviousVersion()

      For a put or delete operation, the version of the previous value associated with the key.

      Is null if any of the following conditions are true:

      - The operation is not a put or delete operation.
      - A previous value did not exist for the given key.
      - The `prevReturn` `ReturnValueVersion` parameter specified that the version should not be returned.
      - For a `putIfVersion` or `deleteIfVersion` operation, the `matchVersion` parameter matched the version of the previous value.

    - #### getPreviousValue

          Value getPreviousValue()

      For a put or delete operation, the previous value associated with the key.

      Is null if any of the following conditions are true:

      - The operation is not a put or delete operation.
      - A previous value did not exist for the given key.
      - The `prevReturn` `ReturnValueVersion` parameter specified that the value should not be returned.
      - For a `putIfVersion` or `deleteIfVersion` operation, the `matchVersion` parameter matched the version of the previous value.

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.